#!/usr/bin/env python

# This file is part of Window-Switch.
# Copyright (c) 2009-2013 Antoine Martin <antoine@nagafix.co.uk>
# Window-Switch is released under the terms of the GNU GPL v3

import sys

from winswitch.util.simple_logger import Logger
from winswitch.util.icon_util import load_pixmap_file
logger=Logger("icon_util_test", log_colour=Logger.CYAN)

if __name__ == "__main__":
	assert len(sys.argv)==2
	filename = sys.argv[1]
	data = load_pixmap_file(filename)
	logger.slog("data=%s bytes" % len(data))
